Returns the settings for configuring integration with one third-party service. These settings apply to all databases managed in one MongoDB Cloud project.
- Project Read Only
Path parameters
-
Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.
NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
Format should match the following pattern:
^([a-f0-9]{24})$. -
Human-readable label that identifies the service which you want to integrate with MongoDB Cloud.
Values are
PAGER_DUTY,SLACK,DATADOG,NEW_RELIC,OPS_GENIE,VICTOR_OPS,WEBHOOK,HIP_CHAT,PROMETHEUS, orMICROSOFT_TEAMS.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false. -
Flag that indicates whether the response body should be in the prettyprint format.
Default value is
false.Prettyprint
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/integrations/{integrationType}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"id": "string",
"type": "PAGER_DUTY",
"region": "US",
"serviceKey": "****************************7890"
}
{
"id": "string",
"type": "SLACK",
"apiToken": "**********************************************************************abcd",
"channelName": "alerts",
"teamName": "MongoDB"
}
{
"id": "string",
"type": "DATADOG",
"apiKey": "****************************a23c",
"region": "US",
"sendCollectionLatencyMetrics": false,
"sendDatabaseMetrics": false,
"sendQueryStatsMetrics": false,
"sendUserProvidedResourceTags": false
}
{
"id": "string",
"type": "NEW_RELIC",
"accountId": "bcc3c81b344a6030a3935c2527e2216535af7718",
"licenseKey": "bc3768f44193c282b2688ab39e00f8e4fc8d75ea",
"readToken": "193c96aee4a3ac640b98634562e2631f17ae0a69",
"writeToken": "a67b10e5cd7f8fb6a34b501136c409f373edc218"
}
{
"id": "string",
"type": "OPS_GENIE",
"apiKey": "********************************a111",
"region": "US"
}
{
"id": "string",
"type": "VICTOR_OPS",
"apiKey": "********************************9abc",
"routingKey": "test routing"
}
{
"id": "string",
"type": "WEBHOOK",
"secret": "string",
"url": "https://webhook.com/****"
}
{
"id": "string",
"type": "PROMETHEUS",
"enabled": true,
"sendUserProvidedResourceTagsEnabled": false,
"serviceDiscovery": "http",
"username": "prom_user_618d48e05277a606ed2496fe"
}
{
"id": "string",
"type": "MICROSOFT_TEAMS",
"microsoftTeamsWebhookUrl": "https://webhook.com/****"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}